summaryrefslogtreecommitdiff
path: root/sci-visualization/quickplot
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /sci-visualization/quickplot
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'sci-visualization/quickplot')
-rw-r--r--sci-visualization/quickplot/Manifest3
-rw-r--r--sci-visualization/quickplot/metadata.xml21
-rw-r--r--sci-visualization/quickplot/quickplot-0.10.6.ebuild43
-rw-r--r--sci-visualization/quickplot/quickplot-0.10.8.ebuild43
-rw-r--r--sci-visualization/quickplot/quickplot-1.0.1_rc.ebuild49
5 files changed, 159 insertions, 0 deletions
diff --git a/sci-visualization/quickplot/Manifest b/sci-visualization/quickplot/Manifest
new file mode 100644
index 000000000000..fc1b8c1e1c84
--- /dev/null
+++ b/sci-visualization/quickplot/Manifest
@@ -0,0 +1,3 @@
+DIST quickplot-0.10.6.tar.xz 445172 BLAKE2B bcb2c694cc6a3777b7d88a5fbd6562d2612f76b0fabde67562ddba44708db0674336b72f5223aa6043524e9c6cb057e518b076086f2c05370bef6eb54b07e8bf SHA512 10b5277d8d0b8febc3c663256f3912bdd9d879b3038a5fdd3a7adc223419893ee56b825f04b5bee29883f30acb3b6a329d8e314b049fef26d6220192767d4adb
+DIST quickplot-0.10.8.tar.bz2 531610 BLAKE2B 3092329b471b45c5a9c0387528ee65ac6c83ca3f21f2e4b7cd1b644a958c83eeb019e4da772a72343c45b478d1709b659372886c50b51623c5b756b4be6ba6d0 SHA512 e382206ba70849755e4110070a5e6b128bea4502ef623c59aa041ba84ed407e0ad06c62366b3bbcd71f8a76a3e651a04efab61edeb616ab6321c5680b03afa95
+DIST quickplot-1.0.1rc.tar.gz 303055 BLAKE2B 52c8b60b0f79171358d81691f8824e39c1e3bafc1c084c3a52037e8cd1148e8bf68027ccc90593eca15fcbee0074d42ad7def1eb9d1f5c656b86e12adb6cfdcc SHA512 9cfaaafb7db379fb43b2975d588464288ac18eb21b3248fb02e5a30b0fa0950313a9818cfec23821046f9819d78255f02dff9970668a4b4ed8c4f452d6df3451
diff --git a/sci-visualization/quickplot/metadata.xml b/sci-visualization/quickplot/metadata.xml
new file mode 100644
index 000000000000..1420fc21477c
--- /dev/null
+++ b/sci-visualization/quickplot/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <longdescription>
+ Quickplot is a fast interactive 2D plotter with infinite zooming, value
+ picking, pipe input, and unlimited plots displayed. Quickplot is meant for
+ looking at your data quickly and of secondary importance is making static
+ pictures of your data. It's a data viewer, not a plot editor. It reads
+ ASCII text and sound files. It has lots of command line options, making it
+ very shell script friendly.
+ </longdescription>
+ <upstream>
+ <remote-id type="sourceforge">quickplot</remote-id>
+ <remote-id type="github">lanceman2/quickplot</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/sci-visualization/quickplot/quickplot-0.10.6.ebuild b/sci-visualization/quickplot/quickplot-0.10.6.ebuild
new file mode 100644
index 000000000000..b3e060ecccee
--- /dev/null
+++ b/sci-visualization/quickplot/quickplot-0.10.6.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=true
+
+inherit autotools-utils eutils
+
+DESCRIPTION="A fast interactive 2D plotter"
+HOMEPAGE="http://quickplot.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+
+SLOT="0"
+LICENSE="GPL-3"
+KEYWORDS="amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="static-libs"
+
+RDEPEND="
+ media-libs/libsndfile
+ >=sys-libs/readline-0.6.2:0=
+ x11-libs/gtk+:3"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ sed '/libquickplot_la_LIBADD/s:$: -lm:g' -i Makefile.am || die
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ local myeconfargs=(
+ --htmldir="${EPREFIX}/usr/share/doc/${PF}/html"
+ )
+ autotools-utils_src_configure
+}
+
+src_install() {
+ autotools-utils_src_install
+ make_desktop_entry 'quickplot --no-pipe' Quickplot quickplot Graphics
+ mv "${ED}"/usr/share/applications/quickplot*.desktop \
+ "${ED}"/usr/share/applications/quickplot.desktop || die
+}
diff --git a/sci-visualization/quickplot/quickplot-0.10.8.ebuild b/sci-visualization/quickplot/quickplot-0.10.8.ebuild
new file mode 100644
index 000000000000..64c6464035c6
--- /dev/null
+++ b/sci-visualization/quickplot/quickplot-0.10.8.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=true
+
+inherit autotools-utils eutils
+
+DESCRIPTION="A fast interactive 2D plotter"
+HOMEPAGE="http://quickplot.sourceforge.net/ https://github.com/lanceman2/quickplot"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+SLOT="0"
+LICENSE="GPL-3"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="static-libs"
+
+RDEPEND="
+ media-libs/libsndfile
+ >=sys-libs/readline-0.6.2:0=
+ x11-libs/gtk+:3"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ sed '/libquickplot_la_LIBADD/s:$: -lm:g' -i Makefile.am || die
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ local myeconfargs=(
+ --htmldir="${EPREFIX}/usr/share/doc/${PF}/html"
+ )
+ autotools-utils_src_configure
+}
+
+src_install() {
+ autotools-utils_src_install
+ make_desktop_entry 'quickplot --no-pipe' Quickplot quickplot Graphics
+ mv "${ED}"/usr/share/applications/quickplot*.desktop \
+ "${ED}"/usr/share/applications/quickplot.desktop || die
+}
diff --git a/sci-visualization/quickplot/quickplot-1.0.1_rc.ebuild b/sci-visualization/quickplot/quickplot-1.0.1_rc.ebuild
new file mode 100644
index 000000000000..3b95c16cf526
--- /dev/null
+++ b/sci-visualization/quickplot/quickplot-1.0.1_rc.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools eutils
+
+MY_P=${P/_rc/rc}
+
+DESCRIPTION="A fast interactive 2D plotter"
+HOMEPAGE="http://quickplot.sourceforge.net/ https://github.com/lanceman2/quickplot"
+SRC_URI="https://github.com/lanceman2/${PN}/archive/${MY_P}.tar.gz"
+
+SLOT="0"
+LICENSE="GPL-3"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="static-libs"
+
+RDEPEND="
+ media-libs/libsndfile
+ >=sys-libs/readline-0.6.2:0=
+ x11-libs/gtk+:3"
+DEPEND="${RDEPEND}
+ media-gfx/imagemagick
+ virtual/pkgconfig
+ www-client/lynx"
+
+S="${WORKDIR}/${PN}-${MY_P}"
+
+src_prepare() {
+ sed -i \
+ -e '/libquickplot_la_LIBADD/s:$: -lm:g' \
+ -e 's/ $(htmldir)/ $(DESTDIR)$(htmldir)/g' \
+ Makefile.am || die
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --enable-developer \
+ $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+ make_desktop_entry 'quickplot --no-pipe' Quickplot quickplot Graphics
+ mv "${ED%/}"/usr/share/applications/quickplot{*,}.desktop || die
+}